> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# List subscription invoices

> Fetches a list of subscription invoices for the store. Supports filtering by status, subscription ID, and customer ID. Supports pagination.

**Usage:** Useful for tracking and managing subscription invoices and financial records.



## OpenAPI

````yaml get /subscription-invoices
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /subscription-invoices:
    get:
      tags:
        - Invoices
      summary: List subscription invoices
      description: >-
        Fetches a list of subscription invoices for the store. Supports
        filtering by status, subscription ID, and customer ID. Supports
        pagination.


        **Usage:** Useful for tracking and managing subscription invoices and
        financial records.
      parameters:
        - name: x-store-id
          in: header
          required: true
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            default: 50
        - name: status
          in: query
          schema:
            type: string
        - name: subscription_id
          in: query
          schema:
            type: string
        - name: customer_id
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Invoices retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionInvoicesResponse'
        '401':
          description: Unauthorized
components:
  schemas:
    SubscriptionInvoicesResponse:
      type: object
      properties:
        meta:
          type: object
          properties:
            total:
              type: integer
        data:
          type: array
          items:
            type: object

````